
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.order.vo.OrderSkuLangVO;
import com.tmerclub.cloud.common.order.vo.OrderSpuLangVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import com.tmerclub.cloud.order.model.PurchaseOrderItemLang;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 采购商品VO
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
public class PurchaseOrderItemVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long purchaseItemId;

    @Schema(description = "id")
    private Long orderItemId;

    @Schema(description = "供应商品id")
    private Long supplierSpuId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "sku id")
    private Long skuId;

    @Schema(description = "采购金额")
    private Long purchaseAmount;

    @Schema(description = "采购价")
    private Long purchasePrice;

    @Schema(description = "采购库存数量")
    private Integer purchaseStock;

    @Schema(description = "实际库存数量")
    private Integer actualStock;

    @Schema(description = "改变库存数量")
    private Integer changeStock;

    @Schema(description = "状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成")
    private Integer status;

    @Schema(description = "sku编码")
    private String partyCode;

    @Schema(description = "sku编码")
    private String pic;

    @Schema(description = "sku规格信息列表")
    private List<OrderSkuLangVO> skuLangList;

    @Schema(description = "spu名称列表")
    private List<OrderSpuLangVO> spuLangList;

    @Schema(description = "spu名称列表")
    private List<PurchaseOrderItemLang> purchaseOrderItemLangList;

    /**
     * 商品名称
     */
    @Schema(description = "商品名称")
    private String spuName;

    /**
     * sku名称
     */
    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "发货改变的数量")
    private Integer changeNum;

    @Schema(description = "待发货数量")
    private Integer beDeliveredNum;

    @Schema(description = "订单地址id")
    private Long orderAddrId;

    @Schema(description = "发货方式")
    private Long deliveryType;

    public Integer getChangeStock() {
        return changeStock;
    }

    public void setChangeStock(Integer changeStock) {
        this.changeStock = changeStock;
    }

    public Long getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(Long deliveryType) {
        this.deliveryType = deliveryType;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getOrderAddrId() {
        return orderAddrId;
    }

    public void setOrderAddrId(Long orderAddrId) {
        this.orderAddrId = orderAddrId;
    }

    public Integer getBeDeliveredNum() {
        return beDeliveredNum;
    }

    public void setBeDeliveredNum(Integer beDeliveredNum) {
        this.beDeliveredNum = beDeliveredNum;
    }

    public Integer getChangeNum() {
        return changeNum;
    }

    public void setChangeNum(Integer changeNum) {
        this.changeNum = changeNum;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public List<PurchaseOrderItemLang> getPurchaseOrderItemLangList() {
        return purchaseOrderItemLangList;
    }

    public void setPurchaseOrderItemLangList(List<PurchaseOrderItemLang> purchaseOrderItemLangList) {
        this.purchaseOrderItemLangList = purchaseOrderItemLangList;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public List<OrderSkuLangVO> getSkuLangList() {
        return skuLangList;
    }

    public void setSkuLangList(List<OrderSkuLangVO> skuLangList) {
        this.skuLangList = skuLangList;
    }

    public List<OrderSpuLangVO> getSpuLangList() {
        return spuLangList;
    }

    public void setSpuLangList(List<OrderSpuLangVO> spuLangList) {
        this.spuLangList = spuLangList;
    }

    public Long getPurchaseItemId() {
        return purchaseItemId;
    }

    public void setPurchaseItemId(Long purchaseItemId) {
        this.purchaseItemId = purchaseItemId;
    }

    public Long getSupplierSpuId() {
        return supplierSpuId;
    }

    public void setSupplierSpuId(Long supplierSpuId) {
        this.supplierSpuId = supplierSpuId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(Long purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public Long getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(Long purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public Integer getPurchaseStock() {
        return purchaseStock;
    }

    public void setPurchaseStock(Integer purchaseStock) {
        this.purchaseStock = purchaseStock;
    }

    public Integer getActualStock() {
        return actualStock;
    }

    public void setActualStock(Integer actualStock) {
        this.actualStock = actualStock;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "PurchaseOrderItemVO{" +
                "purchaseItemId=" + purchaseItemId +
                ", orderItemId=" + orderItemId +
                ", supplierSpuId=" + supplierSpuId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", purchaseAmount=" + purchaseAmount +
                ", purchasePrice=" + purchasePrice +
                ", purchaseStock=" + purchaseStock +
                ", actualStock=" + actualStock +
                ", changeStock=" + changeStock +
                ", status=" + status +
                ", partyCode='" + partyCode + '\'' +
                ", pic='" + pic + '\'' +
                ", skuLangList=" + skuLangList +
                ", spuLangList=" + spuLangList +
                ", purchaseOrderItemLangList=" + purchaseOrderItemLangList +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", changeNum=" + changeNum +
                ", beDeliveredNum=" + beDeliveredNum +
                ", orderAddrId=" + orderAddrId +
                ", deliveryType=" + deliveryType +
                '}';
    }
}
